CustInfo
Keywords: com.fg.xmleditor.CustInfo class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fg.xmleditor
Class CustInfo

    java.lang.Object
      com.fg.xmleditor.CustInfo

public class CustInfo
extends java.lang.Object

CustInfo objects are used to hold additional information about XML Schema elements, provided within xsd:appinfo elements. CustIfo objects are instantiated, cached and returned by `CacheStore` object. CustInfo doesn't have to be instantiated and used by the user code directly.

Version:
  1.0
Author:
  Felix Golubov

Constructor Summary
`CustInfo()`

Method Summary
`java.lang.Object` | `getEditorClassOrId()` Method returns editor `Class` or String `id`, which is used to create field editor and renderer.
`java.lang.String` | `getMessage()` Method returns a text message to be shown to user when respective node of the XML document is selected.
`Params` | `getParams()` Method returns `Params` object, which holds field editor/renderer parameters.
`boolean` | `isExposed()` Method returns `true` if respective schema element is defined as "exposed" and `false` otherwise.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CustInfo

    public CustInfo()

Method Detail

### isExposed

    public boolean isExposed()

  Method returns `true` if respective schema element is defined as "exposed" and `false` otherwise.

  Returns:
    `true` if respective schema element is defined as "exposed" and `false` otherwise.

### getEditorClassOrId

    public java.lang.Object getEditorClassOrId()

  Method returns editor `Class` or String `id`, which is used to create field editor and renderer.

  Returns:
    `Class` or `JDialog` object, which is used to create field editor and renderer.

### getParams

    public Params getParams()

  Method returns `Params` object, which holds field editor/renderer parameters.

  Returns:
    a `Params` object, which holds field editor/renderer parameters.

### getMessage

    public java.lang.String getMessage()

  Method returns a text message to be shown to user when respective node of the XML document is selected.

  Returns:
    a text message to be shown to user when respective node of the XML document is selected.

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD